package com.prolog.cs.biz.inbound.model;

import com.prolog.framework.bz.core.model.BaseModel;
import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description
 * @Date 2021-04-02
 */

@ApiModel
@Table(value = "wms_in_interface_rqc_bill", appendDefaultJdbcType = true, camelToUnderline = true)
public class InterfaceRqcBill extends BaseModel implements Serializable {
	private static final long serialVersionUID = 596869464691851200L;
	@Id
	@AutoKey(type = AutoKey.TYPE_SNOWFLAKE)
	/** ID(主键雪花id) **/
	@ApiModelProperty(value = "ID(主键雪花id)")
	private String interfaceRqcId;

	/** 货主id **/
	@ApiModelProperty(value = "货主id")
	private String mtlOwnerId;

	/** 仓库ID **/
	@ApiModelProperty(value = "仓库ID")
	private String warehouseId;

	/** 来源单类型 **/
	@ApiModelProperty(value = "来源单类型")
	private String srcBillType;

	/** 来源单头ID **/
	@ApiModelProperty(value = "来源单头ID")
	private String srcHeaderId;

	/** 来源单行ID **/
	@ApiModelProperty(value = "来源单行ID")
	private String srcLineId;

	/** ASN头ID **/
	@ApiModelProperty(value = "ASN头ID")
	private String asnHeaderId;

	/** ASN行ID **/
	@ApiModelProperty(value = "ASN行ID")
	private String asnLineId;

	/** 收货单头ID **/
	@ApiModelProperty(value = "收货单头ID")
	private String rcvHeaderId;

	/** 收货行ID **/
	@ApiModelProperty(value = "收货行ID")
	private String rcvLineId;

	/** 库位编码 **/
	@ApiModelProperty(value = "库位编码")
	private String locatorNum;

	/** 商品ID **/
	@ApiModelProperty(value = "商品ID")
	private String itemId;

	/** 数量 **/
	@ApiModelProperty(value = "数量")
	private BigDecimal qty;

	/** 抽样数量 **/
	@ApiModelProperty(value = "抽样数量")
	private BigDecimal checkQty;

	/** 包装单位 **/
	@ApiModelProperty(value = "包装单位")
	private String uom;

	/** 包装含量 **/
	@ApiModelProperty(value = "包装含量")
	private BigDecimal conversionRate;

	/** 批次ID **/
	@ApiModelProperty(value = "批次ID")
	private String batchId;

	/** 单品数量 **/
	@ApiModelProperty(value = "单品数量")
	private BigDecimal pieceQty;

	/** 单品数量(抽样) **/
	@ApiModelProperty(value = "单品数量(抽样)")
	private BigDecimal checkPieceQty;

	/** 批次号 **/
	@ApiModelProperty(value = "批次号")
	private String batchNum;

	/** 批号 **/
	@ApiModelProperty(value = "批号")
	private String vendorBatchNum;

	/** 生产商批号 **/
	@ApiModelProperty(value = "生产商批号")
	private String manufacturerBatchNum;

	/** 是否允许作业标识 **/
	@ApiModelProperty(value = "是否允许作业标识")
	private String activeFlag;

	/** 状态 **/
	@ApiModelProperty(value = "状态")
	private String status;

	/** 预留字段 **/
	@ApiModelProperty(value = "预留字段")
	private String segment1;

	/** 预留字段 **/
	@ApiModelProperty(value = "预留字段")
	private String segment2;

	/** 预留字段 **/
	@ApiModelProperty(value = "预留字段")
	private String attribute1;

	/** 预留字段 **/
	@ApiModelProperty(value = "预留字段")
	private String attribute2;

	/** 执行者 **/
	@ApiModelProperty(value = "执行者")
	private String executor;

	public String getInterfaceRqcId() {
		return interfaceRqcId;
	}

	public void setInterfaceRqcId(String interfaceRqcId) {
		this.interfaceRqcId = interfaceRqcId;
	}

	public String getMtlOwnerId() {
		return mtlOwnerId;
	}

	public void setMtlOwnerId(String mtlOwnerId) {
		this.mtlOwnerId = mtlOwnerId;
	}

	public String getWarehouseId() {
		return warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

	public String getSrcBillType() {
		return srcBillType;
	}

	public void setSrcBillType(String srcBillType) {
		this.srcBillType = srcBillType;
	}

	public String getSrcHeaderId() {
		return srcHeaderId;
	}

	public void setSrcHeaderId(String srcHeaderId) {
		this.srcHeaderId = srcHeaderId;
	}

	public String getSrcLineId() {
		return srcLineId;
	}

	public void setSrcLineId(String srcLineId) {
		this.srcLineId = srcLineId;
	}

	public String getAsnHeaderId() {
		return asnHeaderId;
	}

	public void setAsnHeaderId(String asnHeaderId) {
		this.asnHeaderId = asnHeaderId;
	}

	public String getAsnLineId() {
		return asnLineId;
	}

	public void setAsnLineId(String asnLineId) {
		this.asnLineId = asnLineId;
	}

	public String getRcvHeaderId() {
		return rcvHeaderId;
	}

	public void setRcvHeaderId(String rcvHeaderId) {
		this.rcvHeaderId = rcvHeaderId;
	}

	public String getRcvLineId() {
		return rcvLineId;
	}

	public void setRcvLineId(String rcvLineId) {
		this.rcvLineId = rcvLineId;
	}

	public String getLocatorNum() {
		return locatorNum;
	}

	public void setLocatorNum(String locatorNum) {
		this.locatorNum = locatorNum;
	}

	public String getItemId() {
		return itemId;
	}

	public void setItemId(String itemId) {
		this.itemId = itemId;
	}

	public BigDecimal getQty() {
		return qty;
	}

	public void setQty(BigDecimal qty) {
		this.qty = qty;
	}

	public BigDecimal getCheckQty() {
		return checkQty;
	}

	public void setCheckQty(BigDecimal checkQty) {
		this.checkQty = checkQty;
	}

	public String getUom() {
		return uom;
	}

	public void setUom(String uom) {
		this.uom = uom;
	}

	public BigDecimal getConversionRate() {
		return conversionRate;
	}

	public void setConversionRate(BigDecimal conversionRate) {
		this.conversionRate = conversionRate;
	}

	public String getBatchId() {
		return batchId;
	}

	public void setBatchId(String batchId) {
		this.batchId = batchId;
	}

	public BigDecimal getPieceQty() {
		return pieceQty;
	}

	public void setPieceQty(BigDecimal pieceQty) {
		this.pieceQty = pieceQty;
	}

	public BigDecimal getCheckPieceQty() {
		return checkPieceQty;
	}

	public void setCheckPieceQty(BigDecimal checkPieceQty) {
		this.checkPieceQty = checkPieceQty;
	}

	public String getBatchNum() {
		return batchNum;
	}

	public void setBatchNum(String batchNum) {
		this.batchNum = batchNum;
	}

	public String getVendorBatchNum() {
		return vendorBatchNum;
	}

	public void setVendorBatchNum(String vendorBatchNum) {
		this.vendorBatchNum = vendorBatchNum;
	}

	public String getManufacturerBatchNum() {
		return manufacturerBatchNum;
	}

	public void setManufacturerBatchNum(String manufacturerBatchNum) {
		this.manufacturerBatchNum = manufacturerBatchNum;
	}

	public String getActiveFlag() {
		return activeFlag;
	}

	public void setActiveFlag(String activeFlag) {
		this.activeFlag = activeFlag;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getSegment1() {
		return segment1;
	}

	public void setSegment1(String segment1) {
		this.segment1 = segment1;
	}

	public String getSegment2() {
		return segment2;
	}

	public void setSegment2(String segment2) {
		this.segment2 = segment2;
	}

	public String getAttribute1() {
		return attribute1;
	}

	public void setAttribute1(String attribute1) {
		this.attribute1 = attribute1;
	}

	public String getAttribute2() {
		return attribute2;
	}

	public void setAttribute2(String attribute2) {
		this.attribute2 = attribute2;
	}

	public String getExecutor() {
		return executor;
	}

	public void setExecutor(String executor) {
		this.executor = executor;
	}

}
